Path: 宝塔面板 API 参考 › Proxy 反向代理

`POST /mod/proxy/com/get_global_conf/stype`

获取指定站点的完整 JSON 配置，包括域名、SSL、缓存、Gzip、WebSocket 等全局设置。

## Request body

_Required._

- `opPostModProxyComGetGlobalConfStype.request_time` (string, required) — Unix 时间戳；与接口密钥一起生成 request_token。
- `opPostModProxyComGetGlobalConfStype.request_token` (string, required) — 按 API 概览中的双重 MD5 签名算法生成。
- `opPostModProxyComGetGlobalConfStype.site_name` (string, required) — 站点名称

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "site_name": "string"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/mod/proxy/com/get_global_conf/stype" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "site_name=<site_name>" \
  --data-urlencode "action=get_global_conf"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "status": true,
  "data": {
    "domain_list": [
      "example.com:80"
    ],
    "ssl_info": {
      "ssl_status": false
    },
    "gzip": {
      "gzip_status": false
    },
    "websocket": {
      "websocket_status": true
    },
    "proxy_log": {
      "log_type": "default"
    }
  }
}
```

- `opPostModProxyComGetGlobalConfStype.response.default.data` (object, optional) — 完整配置对象，包含 domain_list, ssl_info, proxy_cache, gzip, websocket, basic_auth, ip_limit, sub_filter, proxy_log, remark 等


## get_global_conf

获取指定站点的完整 JSON 配置，包括域名、SSL、缓存、Gzip、WebSocket 等全局设置。

- **路由**：`POST /mod/proxy/com/get_global_conf/stype`
- **action**：`get_global_conf`

## 输入参数
| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| site_name | 是 | string | 站点名称 |

## 输出参数
| 参数名称 | 类型 | 描述 |
|----------|------|------|
| data | object | 完整配置对象，包含 domain_list, ssl_info, proxy_cache, gzip, websocket, basic_auth, ip_limit, sub_filter, proxy_log, remark 等 |

## 示例

### 响应
```json
{
  "status": true,
  "data": {
    "domain_list": ["example.com:80"],
    "ssl_info": {"ssl_status": false},
    "gzip": {"gzip_status": false},
    "websocket": {"websocket_status": true},
    "proxy_log": {"log_type": "default"}
  }
}
```

